Package org.apache.ignite.internal.management.kill

## Class SnapshotCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<SnapshotCancelTask.CancelSnapshotArg,​String>
    - - org.apache.ignite.internal.management.kill.SnapshotCancelTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<SnapshotCancelTask.CancelSnapshotArg>,​VisorTaskResult<String>>`

    @GridInternal
    public class SnapshotCancelTask
    extends VisorOneNodeTask<SnapshotCancelTask.CancelSnapshotArg,​String>

See Also:
  `IgniteSnapshotManager.cancelSnapshotOperation(UUID)`, Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SnapshotCancelTask.CancelSnapshotArg`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`SnapshotCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<SnapshotCancelTask.CancelSnapshotArg,​String>` `job​(SnapshotCancelTask.CancelSnapshotArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotCancelTask

    public SnapshotCancelTask()

### Method Detail

#### job

    protected VisorJob<SnapshotCancelTask.CancelSnapshotArg,​String> job​(SnapshotCancelTask.CancelSnapshotArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<SnapshotCancelTask.CancelSnapshotArg,​String,​String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.